### Enumeration

# WebKitWebProcessExtension ConsoleMessageSource

#### Declaration

    enum WebKitWebProcessExtension.ConsoleMessageSource

#### Description [src]

Enum values used to denote the various sources of console messages.

Available since: | 2.12

#### Members

Name | Description
--- | ---
`WEBKIT_CONSOLE_MESSAGE_SOURCE_JAVASCRIPT` | Message produced by JavaScript.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_NETWORK` | Network messages.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_CONSOLE_API` | Messages produced by console API.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_SECURITY` | Security messages.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_OTHER` | Other messages.